## Language

Language

## Synopsis

    #include <libtracker-common/tracker-language.h>

                        TrackerLanguage;
    TrackerLanguage *   tracker_language_new                (TrackerConfig *language);
    gboolean            tracker_language_check_exists       (const gchar *language_code);
    TrackerConfig *     tracker_language_get_config         (TrackerLanguage *language);
    gchar *             tracker_language_get_default_code   (void);
    GHashTable *        tracker_language_get_stop_words     (TrackerLanguage *language);
    void                tracker_language_set_config         (TrackerLanguage *language,
                                                             TrackerConfig *config);
    const gchar *       tracker_language_stem_word          (TrackerLanguage *language,
                                                             const gchar *word,
                                                             gint word_length);

## Object Hierarchy

      GObject
       +----TrackerLanguage

## Properties

      "config"                   TrackerConfig*        : Read / Write
      "stop-words"               GHashTable*           : Read

## Description

## Details

### TrackerLanguage

    typedef struct _TrackerLanguage TrackerLanguage;

### tracker_language_new ()

    TrackerLanguage *   tracker_language_new                (TrackerConfig *language);

`language` : |
Returns : |

### tracker_language_check_exists ()

    gboolean            tracker_language_check_exists       (const gchar *language_code);

`language_code` : |
Returns : |

### tracker_language_get_config ()

    TrackerConfig *     tracker_language_get_config         (TrackerLanguage *language);

`language` : |
Returns : |

### tracker_language_get_default_code ()

    gchar *             tracker_language_get_default_code   (void);

Returns : |

### tracker_language_get_stop_words ()

    GHashTable *        tracker_language_get_stop_words     (TrackerLanguage *language);

`language` : |
Returns : |

### tracker_language_set_config ()

    void                tracker_language_set_config         (TrackerLanguage *language,
                                                             TrackerConfig *config);

`language` : |
`config` : |

### tracker_language_stem_word ()

    const gchar *       tracker_language_stem_word          (TrackerLanguage *language,
                                                             const gchar *word,
                                                             gint word_length);

`language` : |
`word` : |
`word_length` : |
Returns : |

## Property Details

### The `"config"` property

      "config"                   TrackerConfig*        : Read / Write

Config.

### The `"stop-words"` property

      "stop-words"               GHashTable*           : Read

Stop words.